Manifest-Version: 1.0
Bnd-LastModified: 1742258547093
Bundle-ClassPath: .,lib/antlr-2.7.5.jar,lib/xmpcore-5.1.3.jar,lib/curv
 esapi-1.06.jar,lib/core-3.2.1.jar,lib/icu4j-57.1.jar,lib/com.lowagie.
 itext-2.1.7.js10.LIFERAY-PATCHED-1.jar,lib/SparseBitSet-1.2.jar,lib/c
 ommons-codec-1.15.jar,lib/commons-digester-2.1.jar,lib/jasperreports-
 6.8.1.jar,lib/jasperreports-fonts-6.8.1.jar,lib/jasperreports-metadat
 a-6.8.1.jar,lib/jxl-2.6.10.jar,lib/commons-collections4-4.3.jar,lib/c
 ommons-dbcp2-2.0.jar,lib/commons-math3-3.6.1.jar,lib/commons-pool2-2.
 4.2.jar,lib/httpclient-4.5.13.jar,lib/httpcore-4.4.14.jar,lib/lucene-
 analyzers-common-7.1.0.jar,lib/lucene-core-7.1.0.jar,lib/lucene-queri
 es-7.1.0.jar,lib/lucene-queryparser-7.1.0.jar,lib/lucene-sandbox-7.1.
 0.jar,lib/poi-4.1.2.jar,lib/poi-ooxml-4.1.2.jar,lib/poi-ooxml-schemas
 -4.1.2.jar,lib/groovy-all-2.4.21.jar,lib/ecj-4.4.2.jar,lib/jcommon-1.
 0.24.jar,lib/jfreechart-1.0.19.jar,lib/olap4j-1.2.0.jar
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Commerce Report Implementation
Bundle-SymbolicName: com.liferay.commerce.report.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 1.0.9.hotfix-6515-7413
Created-By: 1.8.0_381 (Oracle Corporation)
DynamicImport-Package: *
Import-Package: com.microsoft.schemas.office.powerpoint;resolution:=op
 tional,com.microsoft.schemas.office.word;resolution:=optional,net.sf.
 cglib.proxy;resolution:=optional,org.apache.batik.anim.dom;resolution
 :=optional,org.apache.batik.bridge;resolution:=optional,org.apache.ba
 tik.dom;resolution:=optional,org.apache.batik.dom.svg;resolution:=opt
 ional,org.apache.batik.ext.awt;resolution:=optional,org.apache.batik.
 ext.awt.image;resolution:=optional,org.apache.batik.ext.awt.image.ren
 derable;resolution:=optional,org.apache.batik.gvt;resolution:=optiona
 l,org.apache.batik.gvt.font;resolution:=optional,org.apache.batik.svg
 gen;resolution:=optional,org.apache.batik.util;resolution:=optional,o
 rg.apache.jcp.xml.dsig.internal.dom;resolution:=optional,org.bouncyca
 stle.asn1;resolution:=optional,org.bouncycastle.asn1.cmp;resolution:=
 optional,org.bouncycastle.asn1.cms;resolution:=optional,org.bouncycas
 tle.asn1.nist;resolution:=optional,org.bouncycastle.asn1.ocsp;resolut
 ion:=optional,org.bouncycastle.asn1.pkcs;resolution:=optional,org.bou
 ncycastle.asn1.tsp;resolution:=optional,org.bouncycastle.asn1.x500;re
 solution:=optional,org.bouncycastle.asn1.x509;resolution:=optional,or
 g.bouncycastle.cert;resolution:=optional,org.bouncycastle.cert.jcajce
 ;resolution:=optional,org.bouncycastle.cert.ocsp;resolution:=optional
 ,org.bouncycastle.cms;resolution:=optional,org.bouncycastle.cms.bc;re
 solution:=optional,org.bouncycastle.crypto;resolution:=optional,org.b
 ouncycastle.crypto.engines;resolution:=optional,org.bouncycastle.cryp
 to.modes;resolution:=optional,org.bouncycastle.crypto.paddings;resolu
 tion:=optional,org.bouncycastle.crypto.params;resolution:=optional,or
 g.bouncycastle.jce.provider;resolution:=optional,org.bouncycastle.ope
 rator;resolution:=optional,org.bouncycastle.operator.bc;resolution:=o
 ptional,org.bouncycastle.tsp;resolution:=optional,org.bouncycastle.ut
 il;resolution:=optional,org.etsi.uri.x01903.v14;resolution:=optional,
 org.openxmlformats.schemas.officeDocument.x2006.math;resolution:=opti
 onal,org.openxmlformats.schemas.schemaLibrary.x2006.main;resolution:=
 optional,com.liferay.commerce.report.exporter;version="2.1",com.lifer
 ay.portal.kernel.log;version="7.1",com.liferay.portal.kernel.reposito
 ry.model;version="11.0",com.liferay.portal.profile,javax.annotation.p
 rocessing,javax.lang.model,javax.lang.model.element,javax.lang.model.
 type,javax.lang.model.util,javax.management,javax.management.modelmbe
 an,javax.management.remote,javax.management.remote.rmi,javax.manageme
 nt.timer,javax.naming,javax.naming.directory,javax.naming.ldap,javax.
 naming.spi,javax.net,javax.net.ssl,javax.persistence,javax.script,jav
 ax.security.auth.x500,javax.servlet,javax.servlet.http,javax.servlet.
 jsp,javax.sql,javax.sql.rowset,javax.tools,javax.transaction,javax.tr
 ansaction.xa,javax.xml.bind,javax.xml.bind.annotation,javax.xml.bind.
 annotation.adapters,javax.xml.crypto,javax.xml.crypto.dom,javax.xml.c
 rypto.dsig,javax.xml.crypto.dsig.dom,javax.xml.crypto.dsig.keyinfo,ja
 vax.xml.crypto.dsig.spec,javax.xml.datatype,javax.xml.namespace,javax
 .xml.parsers,javax.xml.soap,javax.xml.stream,javax.xml.stream.events,
 javax.xml.transform,javax.xml.transform.dom,javax.xml.transform.strea
 m,javax.xml.validation,javax.xml.xpath,org.apache.commons.beanutils,o
 rg.apache.commons.beanutils.locale,org.apache.commons.beanutils.local
 e.converters,org.apache.commons.compress.archivers,org.apache.commons
 .compress.archivers.zip,org.apache.commons.compress.utils,org.apache.
 commons.logging,org.apache.commons.logging.impl,org.apache.xml.securi
 ty,org.apache.xml.security.c14n,org.apache.xml.security.signature,org
 .apache.xml.security.utils,org.ietf.jgss,org.jaxen,org.jaxen.dom,org.
 osgi.service.component,org.springframework.beans.factory,org.springfr
 amework.beans.factory.support,org.springframework.beans.factory.xml,o
 rg.springframework.core.io,org.w3c.dom,org.w3c.dom.events,org.w3c.dom
 .traversal,org.xml.sax,org.xml.sax.ext,org.xml.sax.helpers
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Enterprise-App: product.id=9a473157-06a6-44b6-b017-a360ffaf5f3
 8
Liferay-Releng-App-Title: Liferay Commerce
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: commerce
Liferay-Releng-Suite-Description: This suite is available in the Lifer
 ay bundle.
Liferay-Releng-Suite-Title: Liferay Commerce
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.commerce.report.internal.exporter,com.lif
 eray.commerce.report.internal.exporter.dependencies,lib,antlr,antlr.a
 ctions.cpp,antlr.actions.csharp,antlr.actions.java,antlr.actions.pyth
 on,antlr.build,antlr.collections,antlr.collections.impl,antlr.debug,a
 ntlr.debug.misc,antlr.preprocessor,com.adobe.xmp,com.adobe.xmp.impl,c
 om.adobe.xmp.impl.xpath,com.adobe.xmp.options,com.adobe.xmp.propertie
 s,com.graphbuilder.curve,com.graphbuilder.geom,com.graphbuilder.math,
 com.graphbuilder.math.func,com.graphbuilder.org.apache.harmony.awt.gl
 ,com.graphbuilder.struc,com.google.zxing,com.google.zxing.aztec,com.g
 oogle.zxing.aztec.decoder,com.google.zxing.aztec.detector,com.google.
 zxing.aztec.encoder,com.google.zxing.client.result,com.google.zxing.c
 ommon,com.google.zxing.common.detector,com.google.zxing.common.reedso
 lomon,com.google.zxing.datamatrix,com.google.zxing.datamatrix.decoder
 ,com.google.zxing.datamatrix.detector,com.google.zxing.datamatrix.enc
 oder,com.google.zxing.maxicode,com.google.zxing.maxicode.decoder,com.
 google.zxing.multi,com.google.zxing.multi.qrcode,com.google.zxing.mul
 ti.qrcode.detector,com.google.zxing.oned,com.google.zxing.oned.rss,co
 m.google.zxing.oned.rss.expanded,com.google.zxing.oned.rss.expanded.d
 ecoders,com.google.zxing.pdf417,com.google.zxing.pdf417.decoder,com.g
 oogle.zxing.pdf417.decoder.ec,com.google.zxing.pdf417.detector,com.go
 ogle.zxing.pdf417.encoder,com.google.zxing.qrcode,com.google.zxing.qr
 code.decoder,com.google.zxing.qrcode.detector,com.google.zxing.qrcode
 .encoder,com.ibm.icu,com.ibm.icu.impl,com.ibm.icu.impl.coll,com.ibm.i
 cu.impl.data,com.ibm.icu.impl.data.icudt57b,com.ibm.icu.impl.data.icu
 dt57b.brkitr,com.ibm.icu.impl.data.icudt57b.coll,com.ibm.icu.impl.dat
 a.icudt57b.curr,com.ibm.icu.impl.data.icudt57b.lang,com.ibm.icu.impl.
 data.icudt57b.rbnf,com.ibm.icu.impl.data.icudt57b.region,com.ibm.icu.
 impl.data.icudt57b.translit,com.ibm.icu.impl.data.icudt57b.unit,com.i
 bm.icu.impl.data.icudt57b.zone,com.ibm.icu.impl.duration,com.ibm.icu.
 impl.duration.impl,com.ibm.icu.impl.duration.impl.data,com.ibm.icu.im
 pl.locale,com.ibm.icu.impl.text,com.ibm.icu.lang,com.ibm.icu.math,com
 .ibm.icu.text,com.ibm.icu.util,com.lowagie.text,com.lowagie.text.exce
 ptions,com.lowagie.text.factories,com.lowagie.text.html,com.lowagie.t
 ext.html.simpleparser,com.lowagie.text.pdf,com.lowagie.text.pdf.codec
 ,com.lowagie.text.pdf.codec.wmf,com.lowagie.text.pdf.collection,com.l
 owagie.text.pdf.crypto,com.lowagie.text.pdf.draw,com.lowagie.text.pdf
 .events,com.lowagie.text.pdf.fonts,com.lowagie.text.pdf.fonts.cmaps,c
 om.lowagie.text.pdf.hyphenation,com.lowagie.text.pdf.interfaces,com.l
 owagie.text.pdf.internal,com.lowagie.text.pdf.parser,com.lowagie.text
 .pdf.utils,com.lowagie.text.xml,com.lowagie.text.xml.simpleparser,com
 .lowagie.text.xml.xmp,com.lowagie.tools,com.zaxxer.sparsebits,org.apa
 che.commons.codec,org.apache.commons.codec.binary,org.apache.commons.
 codec.cli,org.apache.commons.codec.digest,org.apache.commons.codec.la
 nguage,org.apache.commons.codec.language.bm,org.apache.commons.codec.
 net,org.apache.commons.digester,org.apache.commons.digester.annotatio
 ns,org.apache.commons.digester.annotations.handlers,org.apache.common
 s.digester.annotations.internal,org.apache.commons.digester.annotatio
 ns.providers,org.apache.commons.digester.annotations.reflect,org.apac
 he.commons.digester.annotations.rules,org.apache.commons.digester.ann
 otations.spi,org.apache.commons.digester.annotations.utils,org.apache
 .commons.digester.parser,org.apache.commons.digester.plugins,org.apac
 he.commons.digester.plugins.strategies,org.apache.commons.digester.su
 bstitution,org.apache.commons.digester.xmlrules,net.sf.jasperreports.
 ant,net.sf.jasperreports.charts,net.sf.jasperreports.charts.base,net.
 sf.jasperreports.charts.design,net.sf.jasperreports.charts.fill,net.s
 f.jasperreports.charts.type,net.sf.jasperreports.charts.util,net.sf.j
 asperreports.charts.xml,net.sf.jasperreports.compilers,net.sf.jasperr
 eports.components,net.sf.jasperreports.components.barbecue,net.sf.jas
 perreports.components.barcode4j,net.sf.jasperreports.components.chart
 s,net.sf.jasperreports.components.headertoolbar,net.sf.jasperreports.
 components.headertoolbar.actions,net.sf.jasperreports.components.head
 ertoolbar.json,net.sf.jasperreports.components.headertoolbar.json.res
 ources,net.sf.jasperreports.components.headertoolbar.resources.images
 ,net.sf.jasperreports.components.headertoolbar.resources.images.forma
 t,net.sf.jasperreports.components.headertoolbar.resources.images.jive
 ,net.sf.jasperreports.components.headertoolbar.resources.images.style
 ,net.sf.jasperreports.components.headertoolbar.resources,net.sf.jaspe
 rreports.components.headertoolbar.resources.require,net.sf.jasperrepo
 rts.components.iconlabel,net.sf.jasperreports.components.items,net.sf
 .jasperreports.components.items.fill,net.sf.jasperreports.components.
 list,net.sf.jasperreports.components.map,net.sf.jasperreports.compone
 nts.map.fill,net.sf.jasperreports.components.map.resources.require,ne
 t.sf.jasperreports.components.map.resources.templates,net.sf.jasperre
 ports.components.map.type,net.sf.jasperreports.components.sort,net.sf
 .jasperreports.components.sort.actions,net.sf.jasperreports.component
 s.sort.resources,net.sf.jasperreports.components.sort.resources.image
 s,net.sf.jasperreports.components.spiderchart,net.sf.jasperreports.co
 mponents.spiderchart.type,net.sf.jasperreports.components.table,net.s
 f.jasperreports.components.table.fill,net.sf.jasperreports.components
 .table.util,net.sf.jasperreports.crosstabs,net.sf.jasperreports.cross
 tabs.base,net.sf.jasperreports.crosstabs.design,net.sf.jasperreports.
 crosstabs.fill,net.sf.jasperreports.crosstabs.fill.calculation,net.sf
 .jasperreports.crosstabs.interactive,net.sf.jasperreports.crosstabs.t
 ype,net.sf.jasperreports.crosstabs.xml,net.sf.jasperreports.data,net.
 sf.jasperreports.data.bean,net.sf.jasperreports.data.cache,net.sf.jas
 perreports.data.csv,net.sf.jasperreports.data.ds,net.sf.jasperreports
 .data.ejbql,net.sf.jasperreports.data.empty,net.sf.jasperreports.data
 .excel,net.sf.jasperreports.data.hibernate,net.sf.jasperreports.data.
 hibernate.spring,net.sf.jasperreports.data.http,net.sf.jasperreports.
 data.jdbc,net.sf.jasperreports.data.jndi,net.sf.jasperreports.data.js
 on,net.sf.jasperreports.data.mondrian,net.sf.jasperreports.data.provi
 der,net.sf.jasperreports.data.qe,net.sf.jasperreports.data.random,net
 .sf.jasperreports.data.xls,net.sf.jasperreports.data.xlsx,net.sf.jasp
 erreports.data.xml,net.sf.jasperreports.data.xmla,net.sf.jasperreport
 s.engine,net.sf.jasperreports.engine.analytics.data,net.sf.jasperrepo
 rts.engine.analytics.dataset,net.sf.jasperreports.engine.base,net.sf.
 jasperreports.engine.component,net.sf.jasperreports.engine.convert,ne
 t.sf.jasperreports.engine.data,net.sf.jasperreports.engine.design,net
 .sf.jasperreports.engine.design.events,net.sf.jasperreports.engine.dt
 ds,net.sf.jasperreports.engine.export,net.sf.jasperreports.engine.exp
 ort.data,net.sf.jasperreports.engine.export.draw,net.sf.jasperreports
 .engine.export.oasis,net.sf.jasperreports.engine.export.ooxml,net.sf.
 jasperreports.engine.export.ooxml.docx,net.sf.jasperreports.engine.ex
 port.ooxml.docx._rels,net.sf.jasperreports.engine.export.ooxml.pptx._
 rels,net.sf.jasperreports.engine.export.ooxml.pptx.ppt.slideLayouts._
 rels,net.sf.jasperreports.engine.export.ooxml.pptx.ppt.slideLayouts,n
 et.sf.jasperreports.engine.export.ooxml.pptx.ppt.theme,net.sf.jasperr
 eports.engine.export.ooxml.type,net.sf.jasperreports.engine.export.oo
 xml.xlsx._rels,net.sf.jasperreports.engine.export.tabulator,net.sf.ja
 sperreports.engine.export.type,net.sf.jasperreports.engine.export.zip
 ,net.sf.jasperreports.engine.fill,net.sf.jasperreports.engine.fonts,n
 et.sf.jasperreports.engine.images,net.sf.jasperreports.engine.json,ne
 t.sf.jasperreports.engine.json.expression,net.sf.jasperreports.engine
 .json.expression.filter,net.sf.jasperreports.engine.json.expression.f
 ilter.evaluation,net.sf.jasperreports.engine.json.expression.member,n
 et.sf.jasperreports.engine.json.expression.member.evaluation,net.sf.j
 asperreports.engine.json.parser,net.sf.jasperreports.engine.part,net.
 sf.jasperreports.engine.print,net.sf.jasperreports.engine.query,net.s
 f.jasperreports.engine.scriptlets,net.sf.jasperreports.engine.style,n
 et.sf.jasperreports.engine.type,net.sf.jasperreports.engine.util,net.
 sf.jasperreports.engine.util.json,net.sf.jasperreports.engine.util.xm
 l,net.sf.jasperreports.engine.virtualization,net.sf.jasperreports.eng
 ine.xml,net.sf.jasperreports.export,net.sf.jasperreports.export.annot
 ations,net.sf.jasperreports.export.parameters,net.sf.jasperreports.ex
 port.type,net.sf.jasperreports.extensions,net.sf.jasperreports.fonts.
 icons,net.sf.jasperreports.fonts,net.sf.jasperreports.functions,net.s
 f.jasperreports.functions.annotations,net.sf.jasperreports.governors,
 net.sf.jasperreports.j2ee.servlets,net.sf.jasperreports.olap,net.sf.j
 asperreports.olap.mapping,net.sf.jasperreports.olap.mondrian,net.sf.j
 asperreports.olap.olap4j,net.sf.jasperreports.olap.result,net.sf.jasp
 erreports.olap.xmla,net.sf.jasperreports.parts,net.sf.jasperreports.p
 arts.subreport,net.sf.jasperreports.phantomjs,net.sf.jasperreports.pr
 operties,net.sf.jasperreports.renderers,net.sf.jasperreports.renderer
 s.util,net.sf.jasperreports.repo,net.sf.jasperreports.search,net.sf.j
 asperreports.swing,net.sf.jasperreports.types.date,net.sf.jasperrepor
 ts.util,net.sf.jasperreports.view,net.sf.jasperreports.view.images,ne
 t.sf.jasperreports.view.save,net.sf.jasperreports.web,net.sf.jasperre
 ports.web.actions,net.sf.jasperreports.web.commands,net.sf.jasperrepo
 rts.web.listeners,net.sf.jasperreports.web.servlets,net.sf.jasperrepo
 rts.web.servlets.resources,net.sf.jasperreports.web.servlets.resource
 s.require.report,net.sf.jasperreports.web.servlets.resources.require.
 util,net.sf.jasperreports.web.servlets.resources.require.viewer,net.s
 f.jasperreports.web.servlets.resources.templates,net.sf.jasperreports
 .web.servlets.resources.viewer,net.sf.jasperreports.web.util,net.sf.j
 asperreports.fonts.dejavu,net.sf.jasperreports.annotations.properties
 ,net.sf.jasperreports.metadata.properties,jxl,jxl.biff,jxl.biff.drawi
 ng,jxl.biff.formula,jxl.common,jxl.common.log,jxl.demo,jxl.format,jxl
 .read.biff,jxl.write,jxl.write.biff,org.apache.commons.collections4,o
 rg.apache.commons.collections4.bag,org.apache.commons.collections4.bi
 dimap,org.apache.commons.collections4.collection,org.apache.commons.c
 ollections4.comparators,org.apache.commons.collections4.functors,org.
 apache.commons.collections4.iterators,org.apache.commons.collections4
 .keyvalue,org.apache.commons.collections4.list,org.apache.commons.col
 lections4.map,org.apache.commons.collections4.multimap,org.apache.com
 mons.collections4.multiset,org.apache.commons.collections4.properties
 ,org.apache.commons.collections4.queue,org.apache.commons.collections
 4.sequence,org.apache.commons.collections4.set,org.apache.commons.col
 lections4.splitmap,org.apache.commons.collections4.trie,org.apache.co
 mmons.collections4.trie.analyzer,org.apache.commons.dbcp2,org.apache.
 commons.dbcp2.cpdsadapter,org.apache.commons.dbcp2.datasources,org.ap
 ache.commons.dbcp2.managed,assets.org.apache.commons.math3.exception.
 util,assets.org.apache.commons.math3.random,org.apache.commons.math3,
 org.apache.commons.math3.analysis,org.apache.commons.math3.analysis.d
 ifferentiation,org.apache.commons.math3.analysis.function,org.apache.
 commons.math3.analysis.integration,org.apache.commons.math3.analysis.
 integration.gauss,org.apache.commons.math3.analysis.interpolation,org
 .apache.commons.math3.analysis.polynomials,org.apache.commons.math3.a
 nalysis.solvers,org.apache.commons.math3.complex,org.apache.commons.m
 ath3.dfp,org.apache.commons.math3.distribution,org.apache.commons.mat
 h3.distribution.fitting,org.apache.commons.math3.exception,org.apache
 .commons.math3.exception.util,org.apache.commons.math3.filter,org.apa
 che.commons.math3.fitting,org.apache.commons.math3.fitting.leastsquar
 es,org.apache.commons.math3.fraction,org.apache.commons.math3.genetic
 s,org.apache.commons.math3.geometry,org.apache.commons.math3.geometry
 .enclosing,org.apache.commons.math3.geometry.euclidean.oned,org.apach
 e.commons.math3.geometry.euclidean.threed,org.apache.commons.math3.ge
 ometry.euclidean.twod,org.apache.commons.math3.geometry.euclidean.two
 d.hull,org.apache.commons.math3.geometry.hull,org.apache.commons.math
 3.geometry.partitioning,org.apache.commons.math3.geometry.partitionin
 g.utilities,org.apache.commons.math3.geometry.spherical.oned,org.apac
 he.commons.math3.geometry.spherical.twod,org.apache.commons.math3.lin
 ear,org.apache.commons.math3.ml.clustering,org.apache.commons.math3.m
 l.clustering.evaluation,org.apache.commons.math3.ml.distance,org.apac
 he.commons.math3.ml.neuralnet,org.apache.commons.math3.ml.neuralnet.o
 ned,org.apache.commons.math3.ml.neuralnet.sofm,org.apache.commons.mat
 h3.ml.neuralnet.sofm.util,org.apache.commons.math3.ml.neuralnet.twod,
 org.apache.commons.math3.ml.neuralnet.twod.util,org.apache.commons.ma
 th3.ode,org.apache.commons.math3.ode.events,org.apache.commons.math3.
 ode.nonstiff,org.apache.commons.math3.ode.sampling,org.apache.commons
 .math3.optim,org.apache.commons.math3.optim.linear,org.apache.commons
 .math3.optim.nonlinear.scalar,org.apache.commons.math3.optim.nonlinea
 r.scalar.gradient,org.apache.commons.math3.optim.nonlinear.scalar.nod
 eriv,org.apache.commons.math3.optim.nonlinear.vector,org.apache.commo
 ns.math3.optim.nonlinear.vector.jacobian,org.apache.commons.math3.opt
 im.univariate,org.apache.commons.math3.optimization,org.apache.common
 s.math3.optimization.direct,org.apache.commons.math3.optimization.fit
 ting,org.apache.commons.math3.optimization.general,org.apache.commons
 .math3.optimization.linear,org.apache.commons.math3.optimization.univ
 ariate,org.apache.commons.math3.primes,org.apache.commons.math3.rando
 m,org.apache.commons.math3.special,org.apache.commons.math3.stat,org.
 apache.commons.math3.stat.clustering,org.apache.commons.math3.stat.co
 rrelation,org.apache.commons.math3.stat.descriptive,org.apache.common
 s.math3.stat.descriptive.moment,org.apache.commons.math3.stat.descrip
 tive.rank,org.apache.commons.math3.stat.descriptive.summary,org.apach
 e.commons.math3.stat.inference,org.apache.commons.math3.stat.interval
 ,org.apache.commons.math3.stat.ranking,org.apache.commons.math3.stat.
 regression,org.apache.commons.math3.transform,org.apache.commons.math
 3.util,org.apache.commons.pool2,org.apache.commons.pool2.impl,org.apa
 che.commons.pool2.proxy,mozilla,org.apache.http.auth,org.apache.http.
 auth.params,org.apache.http.client,org.apache.http.client.config,org.
 apache.http.client.entity,org.apache.http.client.methods,org.apache.h
 ttp.client.params,org.apache.http.client.protocol,org.apache.http.cli
 ent.utils,org.apache.http.conn,org.apache.http.conn.params,org.apache
 .http.conn.routing,org.apache.http.conn.scheme,org.apache.http.conn.s
 ocket,org.apache.http.conn.ssl,org.apache.http.conn.util,org.apache.h
 ttp.cookie,org.apache.http.cookie.params,org.apache.http.impl.auth,or
 g.apache.http.impl.client,org.apache.http.impl.conn,org.apache.http.i
 mpl.conn.tsccm,org.apache.http.impl.cookie,org.apache.http.impl.execc
 hain,org.apache.http,org.apache.http.annotation,org.apache.http.concu
 rrent,org.apache.http.config,org.apache.http.entity,org.apache.http.i
 mpl,org.apache.http.impl.bootstrap,org.apache.http.impl.entity,org.ap
 ache.http.impl.io,org.apache.http.impl.pool,org.apache.http.io,org.ap
 ache.http.message,org.apache.http.params,org.apache.http.pool,org.apa
 che.http.protocol,org.apache.http.ssl,org.apache.http.util,org.apache
 .lucene.analysis.ar,org.apache.lucene.analysis.bg,org.apache.lucene.a
 nalysis.bn,org.apache.lucene.analysis.br,org.apache.lucene.analysis.c
 a,org.apache.lucene.analysis.charfilter,org.apache.lucene.analysis.cj
 k,org.apache.lucene.analysis.ckb,org.apache.lucene.analysis.commongra
 ms,org.apache.lucene.analysis.compound,org.apache.lucene.analysis.com
 pound.hyphenation,org.apache.lucene.analysis.core,org.apache.lucene.a
 nalysis.custom,org.apache.lucene.analysis.cz,org.apache.lucene.analys
 is.da,org.apache.lucene.analysis.de,org.apache.lucene.analysis.el,org
 .apache.lucene.analysis.en,org.apache.lucene.analysis.es,org.apache.l
 ucene.analysis.eu,org.apache.lucene.analysis.fa,org.apache.lucene.ana
 lysis.fi,org.apache.lucene.analysis.fr,org.apache.lucene.analysis.ga,
 org.apache.lucene.analysis.gl,org.apache.lucene.analysis.hi,org.apach
 e.lucene.analysis.hu,org.apache.lucene.analysis.hunspell,org.apache.l
 ucene.analysis.hy,org.apache.lucene.analysis.id,org.apache.lucene.ana
 lysis.in,org.apache.lucene.analysis.it,org.apache.lucene.analysis.lt,
 org.apache.lucene.analysis.lv,org.apache.lucene.analysis.minhash,org.
 apache.lucene.analysis.miscellaneous,org.apache.lucene.analysis.ngram
 ,org.apache.lucene.analysis.nl,org.apache.lucene.analysis.no,org.apac
 he.lucene.analysis.path,org.apache.lucene.analysis.pattern,org.apache
 .lucene.analysis.payloads,org.apache.lucene.analysis.pt,org.apache.lu
 cene.analysis.query,org.apache.lucene.analysis.reverse,org.apache.luc
 ene.analysis.ro,org.apache.lucene.analysis.ru,org.apache.lucene.analy
 sis.shingle,org.apache.lucene.analysis.sinks,org.apache.lucene.analys
 is.snowball,org.apache.lucene.analysis.sr,org.apache.lucene.analysis.
 standard,org.apache.lucene.analysis.sv,org.apache.lucene.analysis.syn
 onym,org.apache.lucene.analysis.th,org.apache.lucene.analysis.tr,org.
 apache.lucene.analysis.util,org.apache.lucene.analysis.wikipedia,org.
 apache.lucene.collation,org.apache.lucene.collation.tokenattributes,o
 rg.tartarus.snowball,org.tartarus.snowball.ext,org.apache.lucene,org.
 apache.lucene.analysis,org.apache.lucene.analysis.tokenattributes,org
 .apache.lucene.codecs,org.apache.lucene.codecs.blocktree,org.apache.l
 ucene.codecs.compressing,org.apache.lucene.codecs.lucene50,org.apache
 .lucene.codecs.lucene60,org.apache.lucene.codecs.lucene62,org.apache.
 lucene.codecs.lucene70,org.apache.lucene.codecs.perfield,org.apache.l
 ucene.document,org.apache.lucene.geo,org.apache.lucene.index,org.apac
 he.lucene.search,org.apache.lucene.search.similarities,org.apache.luc
 ene.search.spans,org.apache.lucene.store,org.apache.lucene.util,org.a
 pache.lucene.util.automaton,org.apache.lucene.util.bkd,org.apache.luc
 ene.util.fst,org.apache.lucene.util.graph,org.apache.lucene.util.muta
 ble,org.apache.lucene.util.packed,org.apache.lucene.queries,org.apach
 e.lucene.queries.function,org.apache.lucene.queries.function.docvalue
 s,org.apache.lucene.queries.function.valuesource,org.apache.lucene.qu
 eries.mlt,org.apache.lucene.queries.payloads,org.apache.lucene.queryp
 arser.classic,org.apache.lucene.queryparser.complexPhrase,org.apache.
 lucene.queryparser.ext,org.apache.lucene.queryparser.flexible.core,or
 g.apache.lucene.queryparser.flexible.core.builders,org.apache.lucene.
 queryparser.flexible.core.config,org.apache.lucene.queryparser.flexib
 le.core.messages,org.apache.lucene.queryparser.flexible.core.nodes,or
 g.apache.lucene.queryparser.flexible.core.parser,org.apache.lucene.qu
 eryparser.flexible.core.processors,org.apache.lucene.queryparser.flex
 ible.core.util,org.apache.lucene.queryparser.flexible.messages,org.ap
 ache.lucene.queryparser.flexible.precedence,org.apache.lucene.querypa
 rser.flexible.precedence.processors,org.apache.lucene.queryparser.fle
 xible.standard,org.apache.lucene.queryparser.flexible.standard.builde
 rs,org.apache.lucene.queryparser.flexible.standard.config,org.apache.
 lucene.queryparser.flexible.standard.nodes,org.apache.lucene.querypar
 ser.flexible.standard.parser,org.apache.lucene.queryparser.flexible.s
 tandard.processors,org.apache.lucene.queryparser.simple,org.apache.lu
 cene.queryparser.surround.parser,org.apache.lucene.queryparser.surrou
 nd.query,org.apache.lucene.queryparser.xml,org.apache.lucene.querypar
 ser.xml.builders,org.apache.lucene.codecs.idversion,org.apache.lucene
 .payloads,org.apache.lucene.sandbox.queries,org.apache.poi,org.apache
 .poi.common,org.apache.poi.common.usermodel,org.apache.poi.common.use
 rmodel.fonts,org.apache.poi.ddf,org.apache.poi.extractor,org.apache.p
 oi.hpsf,org.apache.poi.hpsf.extractor,org.apache.poi.hpsf.wellknown,o
 rg.apache.poi.hssf,org.apache.poi.hssf.dev,org.apache.poi.hssf.eventm
 odel,org.apache.poi.hssf.eventusermodel,org.apache.poi.hssf.eventuser
 model.dummyrecord,org.apache.poi.hssf.extractor,org.apache.poi.hssf.m
 odel,org.apache.poi.hssf.record,org.apache.poi.hssf.record.aggregates
 ,org.apache.poi.hssf.record.cf,org.apache.poi.hssf.record.chart,org.a
 pache.poi.hssf.record.common,org.apache.poi.hssf.record.cont,org.apac
 he.poi.hssf.record.crypto,org.apache.poi.hssf.record.pivottable,org.a
 pache.poi.hssf.usermodel,org.apache.poi.hssf.usermodel.helpers,org.ap
 ache.poi.hssf.util,org.apache.poi.poifs.common,org.apache.poi.poifs.c
 rypt,org.apache.poi.poifs.crypt.binaryrc4,org.apache.poi.poifs.crypt.
 cryptoapi,org.apache.poi.poifs.crypt.standard,org.apache.poi.poifs.cr
 ypt.xor,org.apache.poi.poifs.dev,org.apache.poi.poifs.eventfilesystem
 ,org.apache.poi.poifs.filesystem,org.apache.poi.poifs.macros,org.apac
 he.poi.poifs.nio,org.apache.poi.poifs,org.apache.poi.poifs.property,o
 rg.apache.poi.poifs.storage,org.apache.poi.sl.draw,org.apache.poi.sl.
 draw.binding,org.apache.poi.sl.draw.geom,org.apache.poi.sl.extractor,
 org.apache.poi.sl.image,org.apache.poi.sl.usermodel,org.apache.poi.ss
 ,org.apache.poi.ss.extractor,org.apache.poi.ss.format,org.apache.poi.
 ss.formula,org.apache.poi.ss.formula.atp,org.apache.poi.ss.formula.co
 nstant,org.apache.poi.ss.formula.eval,org.apache.poi.ss.formula.eval.
 forked,org.apache.poi.ss.formula.function,org.apache.poi.ss.formula.f
 unctions,org.apache.poi.ss.formula.ptg,org.apache.poi.ss.formula.udf,
 org.apache.poi.ss.usermodel,org.apache.poi.ss.usermodel.charts,org.ap
 ache.poi.ss.usermodel.helpers,org.apache.poi.ss.util,org.apache.poi.s
 s.util.cellwalk,org.apache.poi.util,org.apache.poi.wp.usermodel,org.a
 pache.poi.ooxml,org.apache.poi.ooxml.dev,org.apache.poi.ooxml.extract
 or,org.apache.poi.ooxml.util,org.apache.poi.openxml4j.exceptions,org.
 apache.poi.openxml4j.opc,org.apache.poi.openxml4j.opc.internal,org.ap
 ache.poi.openxml4j.opc.internal.marshallers,org.apache.poi.openxml4j.
 opc.internal.unmarshallers,org.apache.poi.openxml4j.util,org.apache.p
 oi.poifs.crypt.agile,org.apache.poi.poifs.crypt.dsig,org.apache.poi.p
 oifs.crypt.dsig.facets,org.apache.poi.poifs.crypt.dsig.services,org.a
 pache.poi.poifs.crypt.temp,org.apache.poi.xddf.usermodel,org.apache.p
 oi.xddf.usermodel.chart,org.apache.poi.xddf.usermodel.text,org.apache
 .poi.xdgf.exceptions,org.apache.poi.xdgf.extractor,org.apache.poi.xdg
 f.geom,org.apache.poi.xdgf.usermodel,org.apache.poi.xdgf.usermodel.se
 ction,org.apache.poi.xdgf.usermodel.section.geometry,org.apache.poi.x
 dgf.usermodel.shape,org.apache.poi.xdgf.usermodel.shape.exceptions,or
 g.apache.poi.xdgf.util,org.apache.poi.xdgf.xml,org.apache.poi.xslf.dr
 aw,org.apache.poi.xslf.extractor,org.apache.poi.xslf.model,org.apache
 .poi.xslf.usermodel,org.apache.poi.xslf.util,org.apache.poi.xssf,org.
 apache.poi.xssf.binary,org.apache.poi.xssf.eventusermodel,org.apache.
 poi.xssf.extractor,org.apache.poi.xssf.model,org.apache.poi.xssf.stre
 aming,org.apache.poi.xssf.usermodel,org.apache.poi.xssf.usermodel.cha
 rts,org.apache.poi.xssf.usermodel.extensions,org.apache.poi.xssf.user
 model.helpers,org.apache.poi.xssf.util,org.apache.poi.xwpf.extractor,
 org.apache.poi.xwpf.model,org.apache.poi.xwpf,org.apache.poi.xwpf.use
 rmodel,com.microsoft.schemas.compatibility,com.microsoft.schemas.comp
 atibility.impl,com.microsoft.schemas.office.excel,com.microsoft.schem
 as.office.excel.impl,com.microsoft.schemas.office.office,com.microsof
 t.schemas.office.office.impl,com.microsoft.schemas.office.visio.x2012
 .main,com.microsoft.schemas.office.visio.x2012.main.impl,com.microsof
 t.schemas.office.x2006.digsig,com.microsoft.schemas.office.x2006.digs
 ig.impl,com.microsoft.schemas.office.x2006.encryption,com.microsoft.s
 chemas.office.x2006.encryption.impl,com.microsoft.schemas.office.x200
 6.keyEncryptor.certificate,com.microsoft.schemas.office.x2006.keyEncr
 yptor.certificate.impl,com.microsoft.schemas.office.x2006.keyEncrypto
 r.password,com.microsoft.schemas.office.x2006.keyEncryptor.password.i
 mpl,com.microsoft.schemas.vml,com.microsoft.schemas.vml.impl,org.etsi
 .uri.x01903.v13,org.etsi.uri.x01903.v13.impl,org.openxmlformats.schem
 as.drawingml.x2006.chart,org.openxmlformats.schemas.drawingml.x2006.c
 hart.impl,org.openxmlformats.schemas.drawingml.x2006.main,org.openxml
 formats.schemas.drawingml.x2006.main.impl,org.openxmlformats.schemas.
 drawingml.x2006.picture,org.openxmlformats.schemas.drawingml.x2006.pi
 cture.impl,org.openxmlformats.schemas.drawingml.x2006.spreadsheetDraw
 ing,org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.imp
 l,org.openxmlformats.schemas.drawingml.x2006.wordprocessingDrawing,or
 g.openxmlformats.schemas.drawingml.x2006.wordprocessingDrawing.impl,o
 rg.openxmlformats.schemas.officeDocument.x2006.customProperties,org.o
 penxmlformats.schemas.officeDocument.x2006.customProperties.impl,org.
 openxmlformats.schemas.officeDocument.x2006.docPropsVTypes,org.openxm
 lformats.schemas.officeDocument.x2006.docPropsVTypes.impl,org.openxml
 formats.schemas.officeDocument.x2006.extendedProperties,org.openxmlfo
 rmats.schemas.officeDocument.x2006.extendedProperties.impl,org.openxm
 lformats.schemas.officeDocument.x2006.relationships,org.openxmlformat
 s.schemas.officeDocument.x2006.relationships.impl,org.openxmlformats.
 schemas.presentationml.x2006.main,org.openxmlformats.schemas.presenta
 tionml.x2006.main.impl,org.openxmlformats.schemas.spreadsheetml.x2006
 .main,org.openxmlformats.schemas.spreadsheetml.x2006.main.impl,org.op
 enxmlformats.schemas.wordprocessingml.x2006.main,org.openxmlformats.s
 chemas.wordprocessingml.x2006.main.impl,org.openxmlformats.schemas.xp
 ackage.x2006.digitalSignature,org.openxmlformats.schemas.xpackage.x20
 06.digitalSignature.impl,org.w3.x2000.x09.xmldsig,org.w3.x2000.x09.xm
 ldsig.impl,schemaorg_apache_xmlbeans.element.URI_SHA_1_11253F446F282F
 E256207B76A3DF3FD56B37BA8C,schemaorg_apache_xmlbeans.element.URI_SHA_
 1_19646AEC388215C989FB75EDE3F402FF063BA490,schemaorg_apache_xmlbeans.
 element.URI_SHA_1_21AE78311217243493C959E7BC6804B99F72443F,schemaorg_
 apache_xmlbeans.element.URI_SHA_1_21E55976FC744A04B45A6F07A2B808D12BB
 559D1,schemaorg_apache_xmlbeans.element.URI_SHA_1_3F1B39D59FC2E959681
 48B4F8EDE62CCC507A6FC,schemaorg_apache_xmlbeans.element.URI_SHA_1_494
 95484AA854302D08892401F85FCED20A7BD90,schemaorg_apache_xmlbeans.eleme
 nt.URI_SHA_1_525852A6309B3D2A27787B1A7C2D04619A20B7F1,schemaorg_apach
 e_xmlbeans.element.URI_SHA_1_557A6E26821E70DDDD5059B7A94657AA9AA6F8ED
 ,schemaorg_apache_xmlbeans.element.URI_SHA_1_58B179B77080FCA9ECD7715B
 929FA131600E2D0E,schemaorg_apache_xmlbeans.element.URI_SHA_1_5B75918D
 653159618FFFD6D486A4E307FB5C542B,schemaorg_apache_xmlbeans.element.UR
 I_SHA_1_5EFC25B18958CA665491F7BD74832D9A9691CCBF,schemaorg_apache_xml
 beans.element.URI_SHA_1_6081D3567B633D0102A6082D6958CC7332114C3B,sche
 maorg_apache_xmlbeans.element.URI_SHA_1_640FACC0F3ED2458258952465E2A4
 DCFAE01C1D6,schemaorg_apache_xmlbeans.element.URI_SHA_1_684A05BC682D9
 45E123E8592D8AFCAE5025794C2,schemaorg_apache_xmlbeans.element.URI_SHA
 _1_A656D4FABFC941ADEAF5235B5CDDA6E6C3B2F2CB,schemaorg_apache_xmlbeans
 .element.URI_SHA_1_A65E132ACCC7510C15EA9D978615CA3EC85609F6,schemaorg
 _apache_xmlbeans.element.URI_SHA_1_A7F231EDC4AB602A5564B2DCCDEB3A9DBF
 76840A,schemaorg_apache_xmlbeans.element.URI_SHA_1_B1DE9718F9D20DF6F0
 7682D1D4E3EDC19321D557,schemaorg_apache_xmlbeans.element.URI_SHA_1_BF
 B0A44ADD30508EE7AAA5C69B773ABF89BE5D2D,schemaorg_apache_xmlbeans.elem
 ent.URI_SHA_1_C9C005F673B171B8BFB7F8303112C92FC2C8B7AA,schemaorg_apac
 he_xmlbeans.element.URI_SHA_1_D0E3914A078773AB474224AE0AE04D6EEAC77A8
 F,schemaorg_apache_xmlbeans.element.URI_SHA_1_E30B7F4270955C4B3E6FC9E
 F2EBAF7F61AF3AFEC,schemaorg_apache_xmlbeans.element.URI_SHA_1_E70A070
 947C9F7A694110D1EC51C3EDAD95AEC59,schemaorg_apache_xmlbeans.element.U
 RI_SHA_1_E87E5132FB5D3870B01207FBD5255E29C6C66759,schemaorg_apache_xm
 lbeans.element.URI_SHA_1_F21916F780C9134594597370F6699CF6386D205F,sch
 emaorg_apache_xmlbeans.element.URI_SHA_1_F68026A8DDD62B229CC03D90FA6A
 E0A61C96D7BE,schemaorg_apache_xmlbeans.element.http_3A_2F_2Fschemas_2
 Emicrosoft_2Ecom_2Foffice_2F2006_2Fdigsig,schemaorg_apache_xmlbeans.e
 lement.http_3A_2F_2Furi_2Eetsi_2Eorg_2F01903_2Fv1_2E3_2E2_23,schemaor
 g_apache_xmlbeans.element.http_3A_2F_2Furi_2Eetsi_2Eorg_2F01903_2Fv1_
 2E4_2E1_23,schemaorg_apache_xmlbeans.element.http_3A_2F_2Fwww_2Ew3_2E
 org_2F2000_2F09_2Fxmldsig_23,schemaorg_apache_xmlbeans.element.urn_3A
 schemas_2Dmicrosoft_2Dcom_3Aoffice_3Aexcel,schemaorg_apache_xmlbeans.
 element.urn_3Aschemas_2Dmicrosoft_2Dcom_3Aoffice_3Aoffice,schemaorg_a
 pache_xmlbeans.element.urn_3Aschemas_2Dmicrosoft_2Dcom_3Aoffice_3Apow
 erpoint,schemaorg_apache_xmlbeans.element.urn_3Aschemas_2Dmicrosoft_2
 Dcom_3Aoffice_3Aword,schemaorg_apache_xmlbeans.element.urn_3Aschemas_
 2Dmicrosoft_2Dcom_3Avml,schemaorg_apache_xmlbeans.system.s8C3F193EE11
 A2F798ACF65489B9E6078,schemaorg_apache_xmlbeans.system.sD023D6490046B
 A0250A839A9AD24C443,groovy.beans,groovy.grape,groovy.inspect,groovy.i
 nspect.swingui,groovy.io,groovy.jmx.builder,groovy.json,groovy.json.i
 nternal,groovy.lang,groovy.mock.interceptor,groovy.model,groovy.secur
 ity,groovy.servlet,groovy.sql,groovy.swing,groovy.swing.binding,groov
 y.swing.factory,groovy.swing.impl,groovy.test,groovy.text,groovy.text
 .markup,groovy.time,groovy.transform,groovy.transform.builder,groovy.
 transform.stc,groovy.ui,groovy.ui.icons,groovy.ui.text,groovy.ui.view
 ,groovy.util,groovy.util.logging,groovy.util.slurpersupport,groovy.xm
 l,groovy.xml.dom,groovy.xml.streamingmarkupsupport,groovyjarjarantlr,
 groovyjarjarantlr.ASdebug,groovyjarjarantlr.actions.cpp,groovyjarjara
 ntlr.actions.csharp,groovyjarjarantlr.actions.java,groovyjarjarantlr.
 actions.python,groovyjarjarantlr.build,groovyjarjarantlr.collections,
 groovyjarjarantlr.collections.impl,groovyjarjarantlr.debug,groovyjarj
 arantlr.debug.misc,groovyjarjarantlr.preprocessor,groovyjarjarasm.asm
 ,groovyjarjarasm.asm.commons,groovyjarjarasm.asm.signature,groovyjarj
 arasm.asm.tree,groovyjarjarasm.asm.util,groovyjarjarcommonscli,org.ap
 ache.groovy.io,org.apache.groovy.util,org.codehaus.groovy,org.codehau
 s.groovy.ant,org.codehaus.groovy.antlr,org.codehaus.groovy.antlr.java
 ,org.codehaus.groovy.antlr.parser,org.codehaus.groovy.antlr.treewalke
 r,org.codehaus.groovy.ast,org.codehaus.groovy.ast.builder,org.codehau
 s.groovy.ast.expr,org.codehaus.groovy.ast.stmt,org.codehaus.groovy.as
 t.tools,org.codehaus.groovy.binding,org.codehaus.groovy.bsf,org.codeh
 aus.groovy.classgen,org.codehaus.groovy.classgen.asm,org.codehaus.gro
 ovy.classgen.asm.indy,org.codehaus.groovy.classgen.asm.sc,org.codehau
 s.groovy.cli,org.codehaus.groovy.control,org.codehaus.groovy.control.
 customizers,org.codehaus.groovy.control.customizers.builder,org.codeh
 aus.groovy.control.io,org.codehaus.groovy.control.messages,org.codeha
 us.groovy.groovydoc,org.codehaus.groovy.jsr223,org.codehaus.groovy.pl
 ugin,org.codehaus.groovy.reflection,org.codehaus.groovy.reflection.an
 droid,org.codehaus.groovy.reflection.stdclasses,org.codehaus.groovy.r
 eflection.v7,org.codehaus.groovy.runtime,org.codehaus.groovy.runtime.
 callsite,org.codehaus.groovy.runtime.dgmimpl,org.codehaus.groovy.runt
 ime.dgmimpl.arrays,org.codehaus.groovy.runtime.m12n,org.codehaus.groo
 vy.runtime.memoize,org.codehaus.groovy.runtime.metaclass,org.codehaus
 .groovy.runtime.powerassert,org.codehaus.groovy.runtime.typehandling,
 org.codehaus.groovy.runtime.wrappers,org.codehaus.groovy.syntax,org.c
 odehaus.groovy.testng,org.codehaus.groovy.tools,org.codehaus.groovy.t
 ools.ast,org.codehaus.groovy.tools.groovydoc,org.codehaus.groovy.tool
 s.groovydoc.gstringTemplates,org.codehaus.groovy.tools.groovydoc.gstr
 ingTemplates.classLevel,org.codehaus.groovy.tools.groovydoc.gstringTe
 mplates.packageLevel,org.codehaus.groovy.tools.groovydoc.gstringTempl
 ates.topLevel,org.codehaus.groovy.tools.gse,org.codehaus.groovy.tools
 .javac,org.codehaus.groovy.tools.shell,org.codehaus.groovy.tools.shel
 l.commands,org.codehaus.groovy.tools.shell.completion,org.codehaus.gr
 oovy.tools.shell.util,org.codehaus.groovy.tools.xml,org.codehaus.groo
 vy.transform,org.codehaus.groovy.transform.sc,org.codehaus.groovy.tra
 nsform.sc.transformers,org.codehaus.groovy.transform.stc,org.codehaus
 .groovy.transform.tailrec,org.codehaus.groovy.transform.trait,org.cod
 ehaus.groovy.util,org.codehaus.groovy.vmplugin,org.codehaus.groovy.vm
 plugin.v5,org.codehaus.groovy.vmplugin.v6,org.codehaus.groovy.vmplugi
 n.v7,org.codehaus.groovy.vmplugin.v8,org.eclipse.jdt.core,org.eclipse
 .jdt.core.compiler,org.eclipse.jdt.core.compiler.batch,org.eclipse.jd
 t.internal.antadapter,org.eclipse.jdt.internal.compiler,org.eclipse.j
 dt.internal.compiler.apt.dispatch,org.eclipse.jdt.internal.compiler.a
 pt.model,org.eclipse.jdt.internal.compiler.apt.util,org.eclipse.jdt.i
 nternal.compiler.ast,org.eclipse.jdt.internal.compiler.batch,org.ecli
 pse.jdt.internal.compiler.classfmt,org.eclipse.jdt.internal.compiler.
 codegen,org.eclipse.jdt.internal.compiler.env,org.eclipse.jdt.interna
 l.compiler.flow,org.eclipse.jdt.internal.compiler.impl,org.eclipse.jd
 t.internal.compiler.lookup,org.eclipse.jdt.internal.compiler.parser,o
 rg.eclipse.jdt.internal.compiler.parser.diagnose,org.eclipse.jdt.inte
 rnal.compiler.parser.unicode,org.eclipse.jdt.internal.compiler.parser
 .unicode6,org.eclipse.jdt.internal.compiler.parser.unicode6_2,org.ecl
 ipse.jdt.internal.compiler.problem,org.eclipse.jdt.internal.compiler.
 tool,org.eclipse.jdt.internal.compiler.util,com.keypoint,org.jfree,or
 g.jfree.base,org.jfree.base.config,org.jfree.base.log,org.jfree.base.
 modules,org.jfree.date,org.jfree.io,org.jfree.layout,org.jfree.resour
 ces,org.jfree.text,org.jfree.threads,org.jfree.ui,org.jfree.ui.about,
 org.jfree.ui.about.resources,org.jfree.ui.action,org.jfree.ui.tabbedu
 i,org.jfree.util,org.jfree.xml.generator,org.jfree.chart,org.jfree.ch
 art.annotations,org.jfree.chart.axis,org.jfree.chart.block,org.jfree.
 chart.editor,org.jfree.chart.encoders,org.jfree.chart.entity,org.jfre
 e.chart.event,org.jfree.chart.imagemap,org.jfree.chart.labels,org.jfr
 ee.chart.needle,org.jfree.chart.panel,org.jfree.chart.plot,org.jfree.
 chart.plot.dial,org.jfree.chart.renderer,org.jfree.chart.renderer.cat
 egory,org.jfree.chart.renderer.xy,org.jfree.chart.resources,org.jfree
 .chart.servlet,org.jfree.chart.title,org.jfree.chart.urls,org.jfree.c
 hart.util,org.jfree.data,org.jfree.data.category,org.jfree.data.conto
 ur,org.jfree.data.function,org.jfree.data.gantt,org.jfree.data.genera
 l,org.jfree.data.io,org.jfree.data.jdbc,org.jfree.data.resources,org.
 jfree.data.statistics,org.jfree.data.time,org.jfree.data.time.ohlc,or
 g.jfree.data.xml,org.jfree.data.xy,org.olap4j,org.olap4j.impl,org.ola
 p4j.layout,org.olap4j.mdx,org.olap4j.mdx.parser,org.olap4j.mdx.parser
 .impl,org.olap4j.metadata,org.olap4j.query,org.olap4j.sample,org.olap
 4j.transform,org.olap4j.type,com.liferay.commerce.report.impl.interna
 l.portal.profile
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .commerce.report.exporter.CommerceReportExporter";uses:="com.liferay.
 commerce.report.exporter",osgi.service;objectClass:List<String>="com.
 liferay.portal.profile.PortalProfile";uses:="com.liferay.portal.profi
 le"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.4.0)(!(version>=2.0.0)))",osgi.ee;filter:="(&(osgi.e
 e=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.commerce.report.internal.expor
 ter.CommerceReportExporterImpl.xml,OSGI-INF/com.liferay.commerce.repo
 rt.impl.internal.portal.profile.ModulePortalProfile.xml
Tool: Bnd-4.3.0.201909301554

